EDIT - task #9524

Use non-model objects in database queries for getDistributioninfoFor
03/11/2021 10:46 AM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 30%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

The webservice for distribution infos is slow for larger distributions sets. This could be much improved if retrieving data as non-modell
or non-session controlled objects from the database.
We should probably wait #9503 before implementation.

A test link is provided by duplicating ticket #4911.

Related issues:

Related to EDIT - feature request #9503: Handle term tree of areas and distri... Closed
Related to EDIT - feature request #9500: Allow removing certain distribution ... Feedback
Related to EDIT - feature request #10322: Use DTOs for portal taxon page (cont.) In Progress
Has duplicate EDIT - task #4911: improve performance of distributionInfoFor s... Duplicate

Associated revisions

Revision 3b50c627 - 03/21/2024 08:57 PM - Andreas Miiller

ref #10322 move source type filter to base class

Revision fad04d88 - 03/21/2024 11:04 PM - Andreas Miiller

ref #9524 improve non-dto object loading

Revision b2e3dcc1 - 03/22/2024 06:30 AM - Andreas Miiller

ref #9524 fix compile errors

Revision €935b463 - 03/22/2024 09:01 AM - Andreas Miiller
ref #10322, ref #9524, ref #4911 fix distributionInfoConfig handling in distribution service

Revision ce231e6¢ - 03/22/2024 09:59 AM - Andreas Miiller
ref #10322, ref #9524, ref #4911 add switch to allow loading the old way until new is ready

Revision 94366f6b - 03/22/2024 10:41 AM - Andreas Miiller
ref #10322, ref #9524, ref #4911 adapt TaxEditor to new CondensedDistributionRecipe path

Revision 5228fe72 - 03/22/2024 10:45 AM - Andreas Miiller
ref #10322, ref #9524, ref #4911 adapt TaxEditor to new CondensedDistributionRecipe path (cont.)

Revision 06842c44 - 03/22/2024 10:55 AM - Andreas Miiller
ref #10322, ref #9524, ref #4911 adapt TaxEditor to new CondensedDistributionRecipe path (cont. I1)

Revision 4832144c - 03/22/2024 11:56 AM - Andreas Miiller
ref #10322, ref #9524, ref #4911 adapt TaxEditor to new mapRequestParameter signature

Revision 5a72324f - 03/22/2024 12:43 PM - Andreas Miiller
ref #10322, ref #9524, ref #4911 fix source loading for distribution tree

Revision aded7983 - 03/22/2024 05:59 PM - Andreas Miuller
https://dev.e-taxonomy.eu/redmine/issues/9503
https://dev.e-taxonomy.eu/redmine/issues/4911

ref #10322, ref #9524, ref #4911 fix omit level handling in computed area trees

Revision a764fe29 - 03/22/2024 06:48 PM - Andreas Miiller
ref #10322, ref #9524, ref #4911 fix omit level handling in computed area trees (cont.)

Revision 36f33afe - 04/10/2024 10:52 PM - Andreas Miiller
ref #9524, ref #10322 improve non-model objects loading (not yet ready)

History

#1 - 03/11/2021 10:46 AM - Andreas Miiller

- Related to feature request #9503: Handle term tree of areas and distribution status for distributioninfo in dataportal added

#2 - 03/11/2021 10:47 AM - Andreas Miiller

- Related to feature request #9500: Allow removing certain distribution status from distribution publication added

#3 - 07/07/2021 03:24 PM - Andreas Miller

- Target version changed from Release 5.25 to Release 5.45

#4 - 03/23/2022 10:57 AM - Andreas Miiller

- Related to task #4911: improve performance of distributionInfoFor service added

#5 - 05/27/2023 10:35 PM - Andreas Miiller
- Related to feature request #10322: Use DTOs for portal taxon page (cont.) added

#6 - 02/14/2024 10:51 PM - Andreas Miller

- Target version changed from Release 5.45 to Release 5.43

#7 - 02/14/2024 10:52 PM - Andreas Miiller
- Priority changed from New to Highest

#8 - 03/13/2024 04:09 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 30

#9 - 03/23/2024 11:36 AM - Andreas Miiller

- Description updated

#10 - 03/23/2024 11:36 AM - Andreas Miiller

- Related to deleted (task #4911: improve performance of distributioninfoFor service)

#11 - 03/23/2024 11:36 AM - Andreas Miiller

- Has duplicate task #4911: improve performance of distributioninfoFor service added
